#include<bits/stdc++.h>
using namespace std;
int main ()
{
    long long n, deliteli[10001];
    int br=1, j=0, br_del=0;
    cin>>n;
    for(int i=1; i<=n; i++)
    {
        if(n%i==0)
        {
            deliteli[j]=i;
            j++;
            br_del++;
        }
    }
    br=br_del/2;
    if(br_del%2!=0)
    {
        br++;
    }
    int k=br_del/2;
    for(int i=1; i<k; i++)
    {
        bool yes=true;
        for(int j=2; j<=sqrt(deliteli[br_del-i]); j++)
        {
            if(deliteli[br_del-1]%j==0)
            {

                for(int x=0; x<i; x++)
                {
                    if(j==deliteli[x])
                    {
                        yes=false;
                        break;
                    }
                }
                if(yes==true)
                {
                    br++;
                    break;
                }
            }
        }
    }
    cout<<br<<endl;
    return 0;
}
